HsqldbJDBCAdapter.HSQLStatementProvider (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.store.jdbc.adapter.HsqldbJDBCAdapter.HSQLStatementProvider class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.store.jdbc.adapter
Class HsqldbJDBCAdapter.HSQLStatementProvider

    java.lang.Object
      org.codehaus.activemq.store.jdbc.adapter.DefaultStatementProvider
          org.codehaus.activemq.store.jdbc.adapter.HsqldbJDBCAdapter.HSQLStatementProvider

All Implemented Interfaces:
  StatementProvider

Enclosing class:
  HsqldbJDBCAdapter

public static class HsqldbJDBCAdapter.HSQLStatementProvider
extends DefaultStatementProvider

Field Summary

Fields inherited from class org.codehaus.activemq.store.jdbc.adapter.DefaultStatementProvider
`binaryDataType, containerNameDataType, durableSubAcksTableName, messageTableName, msgIdDataType, sequenceDataType, stringIdDataType, subscriptionIdDataType, tablePrefix, txTableName, xidDataType`

Constructor Summary
`HsqldbJDBCAdapter.HSQLStatementProvider()`

Methods inherited from class org.codehaus.activemq.store.jdbc.adapter.DefaultStatementProvider
`getAddMessageStatment, getAddXidStatment, getBinaryDataType, getContainerNameDataType, getCreateDurableSubStatment, getCreateSchemaStatments, getDropSchemaStatments, getDurableSubAcksTableName, getFindAllDurableSubMessagesStatment, getFindAllMessagesStatment, getFindAllTxStatment, getFindAllXidStatment, getFindDurableSubStatment, getFindLastSequenceId, getFindMessageSequenceIdStatment, getFindMessageStatment, getFindXidStatment, getMessageTableName, getMsgIdDataType, getRemoveMessageStatment, getRemoveXidStatment, getSequenceDataType, getSubscriptionIdDataType, getTablePrefix, getTxTableName, getUpdateDurableSubStatment, getUpdateLastAckOfDurableSub, getUpdateMessageStatment, getUpdateXidStatment, getXidDataType, setBinaryDataType, setContainerNameDataType, setDurableSubAcksTableName, setMessageTableName, setMsgIdDataType, setSequenceDataType, setSubscriptionIdDataType, setTablePrefix, setTxTableName, setXidDataType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HsqldbJDBCAdapter.HSQLStatementProvider

    public HsqldbJDBCAdapter.HSQLStatementProvider()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.